function M=ctiSPE(jmeno,oblast_radku,oblast_sloupcu)
%M=ctiSPE(jmeno,oblast_radku,oblast_sloupcu)
%Prevadi SPE soubor "jmeno" do matlabu 
%Vytvori objekt M, jehoz j-ta matice je j-tym obrazkem ze souboru "jmeno". 
%Pozice v matici odpovidaji pozici na obrazovce, 
% tj. M(1,1,j) je levy horni roh obrazku, M(256,1024,j) je pravy dolni roh
% obrazku obsahujiciho vsech 1024 * 256 pixelu. 
%Pokud jsou zadane i vektory "oblast_radku" a "oblast_sloupcu" a nejsou prazdne, 
% vybere z kazdeho obrazku jen oblast definovanou v techto vektorech. 

fid=fopen(jmeno,'r');
header=fread(fid,2050,'uint16'); %hlavicka, 4100bytes/2

nsloupcu=header(22);
nradku=header(329);
n=header(724);
acc=header(57);

%Data type (0=float, 1=long integer, 2=integer, 3=unsigned int)
data_type = header(198);

switch data_type
  case 0
   dtype_str = 'float32'
  case 3
   dtype_str = 'uint16'
end


switch nargin
 case 1
  oblast_radku=[1 nradku];
  oblast_sloupcu=[1 nsloupcu];
 case 2
  oblast_sloupcu=[1 nsloupcu];
end
if length(oblast_sloupcu)==0
 oblast_sloupcu=[1 nsloupcu];
end
if length(oblast_radku)==0
 oblast_radku=[1 nradku];
end

for j=1:n, 
 %M1=fread(fid,nsloupcu*nradku,'uint16');
 M1=fread(fid,nsloupcu*nradku,dtype_str);
 M1=reshape(M1,nsloupcu,nradku);
 M1=double(M1);
 M1=rot90(M1);
 M1=flipud(M1); 
 M1=M1(oblast_radku(1):oblast_radku(2),oblast_sloupcu(1):oblast_sloupcu(2));
 M(:,:,j)=M1;
end
fclose(fid);



%figure; grafSPE(M(:,:,round(n/2))); %vygrafeni prostredniho obrazku
