function out=fit_convolution(lif, cas, M, las, caslas, Mlas)

    laserA = [caslas' las'./Mlas'];%; 
    data = [cas' lif'./M'];

% shift the measurements so they have the maximum in the same time
    laserA(:,2) = laserA(:,2)./max(laserA(:,2)).*max(data(:,2));
    [kolik, kde] = max(data(:,2));
    [koliklas, kdelas] = max(laserA(:,2));
    rozdil = kdelas-kde;
    laserA(:,1) = laserA(:,1) + (data(kde,1)-laserA(kdelas,1));
    %laserA = laserA(rozdil:end, :);
    %data = data(1:end-rozdil, :);

% find the frame where the signal fell to one half
    hodnota = kolik;
    while (hodnota > kolik./2) &&  (kde < length(data)),
 	    kde = kde + 1;
     	hodnota = data(kde, 2);
    end
    datafit = data(kde:end, :);
    laserfit = laserA(kde:end, :);

% fit with convolution
    tau = 2;
    tau=fminsearch(@(tau) convolution_squares(tau,data,laserA,kde),tau);
    [S,P,y]=convolution_squares(tau, data, laserA, kde);

% make graph
    figure; plot(data(:,1), data(:,2), 'p',  datafit(:,1), y, laserA(:,1), laserA(:,2), '--'); drawnow;
    legend('measured data', ['convolution, tau = ' num2str(tau) ' ns'], 'laser');

% save results
    out.tau = tau;
    out.fit = y;
    out.data = data;
    out.squares = S;
    out.amplitude = P;

end
