function graphSPE(A,c)
% graphSPE(A,c)
% It makes a graph of a matrix "A". 
% If you add also the vector "c" (two numbers [a, b], a has to be smaller than b), 
% the colorscale of the graph will change so c(1) is the minimum and c(2) is the maximum.

r=size(A); 
rs=r(2);
rr=r(1);

% Make graph:
[X,Y]=meshgrid(1:rs,1:rr);
mesh(X,Y,A); 

% Change of the color scale:
switch nargin
 case 2
  %pom=reshape(A,1,rs*rr);
  %mezd=min(pom);
  %mezh=max(pom);
  %mez=mezd + c*(mezh-mezd);
  %caxis(mez);
  caxis(c); 
end

% Useful changes:
axis equal;
view(0,90);
set(gca,'YDir','reverse'); %http://www.mathworks.com/help/matlab/ref/axes_props.html
set(gca,'XAxisLocation','top');
xlabel('horizontal pixels'); 
ylabel('vertical pixels');
colorbar;
