function tau = lifetime(filename)
% tau = lifetime(filename)
% The function loads the measurement set of name "filename", assuming it consists of some lifetime measurement:
% ie. file "filename.SPE" with time evolution of the fluorescence signal
% file "filename_PDW.SPE" with timing information
% file "filename.txt" with laser pulse energy from powermeter Vega
% file "filename_dark.SPE" with darkframe 
% and the same things for the measurement set for the scattered laser radiation, defined on the line 14.
% It takes all the data and calculates the lifetime of the excited state.
% You can change whether it uses single exponential decay (line 24)
% or whether it fits convolution of exponential and the scattered laser (line 25).

% change the information according to your measurement!
	laser_filename = 'dobazivota_laser4';
	num_rows = [114 144]; 	
	num_columns = [500 560]; 
	folder = '';

% load measured data:
	measurement = load_measurement(filename, num_rows, num_columns, folder);
	laser = load_measurement(laser_filename, num_rows, num_columns, folder);

% call the fitting function:
	%out=fit_convolution(measurement.average, measurement.time, measurement.energy, laser.average, laser.time, laser.energy);
	out=fit_exp1(measurement.average, measurement.time, measurement.energy);

% result:
	tau = out.tau;

end
